gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.FontSelection

Contents

- Exported types
- Methods
  - getFace
  - getFaceList
  - getFamily
  - getFamilyList
  - getFontName
  - getPreviewEntry
  - getPreviewText
  - getSize
  - getSizeEntry
  - getSizeList
  - new
  - setFontName
  - setPreviewText
- Properties
  - fontName
  - previewText

Description

No description available in the introspection data.

Synopsis

- newtype FontSelection = FontSelection (ManagedPtr FontSelection)
- class (GObject o, IsDescendantOf FontSelection o) => IsFontSelection o
- toFontSelection :: (MonadIO m, IsFontSelection o) => o -> m FontSelection
- fontSelectionGetFace :: (HasCallStack, MonadIO m, IsFontSelection a) => a -> m FontFace
- fontSelectionGetFaceList :: (HasCallStack, MonadIO m, IsFontSelection a) => a -> m Widget
- fontSelectionGetFamily :: (HasCallStack, MonadIO m, IsFontSelection a) => a -> m FontFamily
- fontSelectionGetFamilyList :: (HasCallStack, MonadIO m, IsFontSelection a) => a -> m Widget
- fontSelectionGetFontName :: (HasCallStack, MonadIO m, IsFontSelection a) => a -> m Text
- fontSelectionGetPreviewEntry :: (HasCallStack, MonadIO m, IsFontSelection a) => a -> m Widget
- fontSelectionGetPreviewText :: (HasCallStack, MonadIO m, IsFontSelection a) => a -> m Text
- fontSelectionGetSize :: (HasCallStack, MonadIO m, IsFontSelection a) => a -> m Int32
- fontSelectionGetSizeEntry :: (HasCallStack, MonadIO m, IsFontSelection a) => a -> m Widget
- fontSelectionGetSizeList :: (HasCallStack, MonadIO m, IsFontSelection a) => a -> m Widget
- fontSelectionNew :: (HasCallStack, MonadIO m) => m FontSelection
- fontSelectionSetFontName :: (HasCallStack, MonadIO m, IsFontSelection a) => a -> Text -> m Bool
- fontSelectionSetPreviewText :: (HasCallStack, MonadIO m, IsFontSelection a) => a -> Text -> m ()
- clearFontSelectionFontName :: (MonadIO m, IsFontSelection o) => o -> m ()
- constructFontSelectionFontName :: (IsFontSelection o, MonadIO m) => Text -> m (GValueConstruct o)
- getFontSelectionFontName :: (MonadIO m, IsFontSelection o) => o -> m (Maybe Text)
- setFontSelectionFontName :: (MonadIO m, IsFontSelection o) => o -> Text -> m ()
- constructFontSelectionPreviewText :: (IsFontSelection o, MonadIO m) => Text -> m (GValueConstruct o)
- getFontSelectionPreviewText :: (MonadIO m, IsFontSelection o) => o -> m Text
- setFontSelectionPreviewText :: (MonadIO m, IsFontSelection o) => o -> Text -> m ()

# Exported types

newtype FontSelection Source #

Memory-managed wrapper type.

Constructors

FontSelection (ManagedPtr FontSelection) |

#### Instances

Instances details

Eq FontSelection Source # |
Instance details Defined in GI.Gtk.Objects.FontSelection Methods (==) :: FontSelection -> FontSelection -> Bool Source # (/=) :: FontSelection -> FontSelection -> Bool Source #
GObject FontSelection Source # |
Instance details Defined in GI.Gtk.Objects.FontSelection
ManagedPtrNewtype FontSelection Source # |
Instance details Defined in GI.Gtk.Objects.FontSelection Methods toManagedPtr :: FontSelection -> ManagedPtr FontSelection Source #
TypedObject FontSelection Source # |
Instance details Defined in GI.Gtk.Objects.FontSelection Methods glibType :: IO GType Source #
HasParentTypes FontSelection Source # |
Instance details Defined in GI.Gtk.Objects.FontSelection
IsGValue (Maybe FontSelection) Source # | Convert `FontSelection` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.FontSelection Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FontSelection -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FontSelection) Source #
type ParentTypes FontSelection Source # |
Instance details Defined in GI.Gtk.Objects.FontSelection type ParentTypes FontSelection = '[Box, Container, Widget, Object, ImplementorIface, Buildable, Orientable]

class (GObject o, IsDescendantOf FontSelection o) => IsFontSelection o Source #

Type class for types which can be safely cast to `FontSelection`, for instance with `toFontSelection`.

#### Instances

Instances details

(GObject o, IsDescendantOf FontSelection o) => IsFontSelection o Source # |
Instance details Defined in GI.Gtk.Objects.FontSelection

toFontSelection :: (MonadIO m, IsFontSelection o) => o -> m FontSelection Source #

Cast to `FontSelection`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

activate, add, addAccelerator, addChild, addDeviceEvents, addEvents, addMnemonicLabel, addTickCallback, bindProperty, bindPropertyFull, canActivateAccel, checkResize, childFocus, childGetProperty, childNotify, childNotifyByPspec, childSetProperty, childType, classPath, computeExpand, constructChild, createPangoContext, createPangoLayout, customFinished, customTagEnd, customTagStart, destroy, destroyed, deviceIsShadowed, dragBegin, dragBeginWithCoordinates, dragCheckThreshold, dragDestAddImageTargets, dragDestAddTextTargets, dragDestAddUriTargets, dragDestFindTarget, dragDestGetTargetList, dragDestGetTrackMotion, dragDestSet, dragDestSetProxy, dragDestSetTargetList, dragDestSetTrackMotion, dragDestUnset, dragGetData, dragHighlight, dragSourceAddImageTargets, dragSourceAddTextTargets, dragSourceAddUriTargets, dragSourceGetTargetList, dragSourceSet, dragSourceSetIconGicon, dragSourceSetIconName, dragSourceSetIconPixbuf, dragSourceSetIconStock, dragSourceSetTargetList, dragSourceUnset, dragUnhighlight, draw, ensureStyle, errorBell, event, forall, forceFloating, foreach, freezeChildNotify, freezeNotify, getv, grabAdd, grabDefault, grabFocus, grabRemove, hasDefault, hasFocus, hasGrab, hasRcStyle, hasScreen, hasVisibleFocus, hide, hideOnDelete, inDestruction, initTemplate, inputShapeCombineRegion, insertActionGroup, intersect, isAncestor, isComposited, isDrawable, isFloating, isFocus, isSensitive, isToplevel, isVisible, keynavFailed, listAccelClosures, listActionPrefixes, listMnemonicLabels, map, mnemonicActivate, modifyBase, modifyBg, modifyCursor, modifyFg, modifyFont, modifyStyle, modifyText, notify, notifyByPspec, overrideBackgroundColor, overrideColor, overrideCursor, overrideFont, overrideSymbolicColor, packEnd, packStart, parserFinished, path, propagateDraw, queryChildPacking, queueAllocate, queueComputeExpand, queueDraw, queueDrawArea, queueDrawRegion, queueResize, queueResizeNoRedraw, realize, ref, refSink, regionIntersect, registerWindow, remove, removeAccelerator, removeMnemonicLabel, removeTickCallback, renderIcon, renderIconPixbuf, reorderChild, reparent, resetRcStyles, resetStyle, resizeChildren, runDispose, sendExpose, sendFocusChange, shapeCombineRegion, show, showAll, showNow, sizeAllocate, sizeAllocateWithBaseline, sizeRequest, stealData, stealQdata, styleAttach, styleGetProperty, thawChildNotify, thawNotify, translateCoordinates, triggerTooltipQuery, unmap, unparent, unrealize, unref, unregisterWindow, unsetFocusChain, unsetStateFlags, watchClosure.

#### Getters

getAccessible, getActionGroup, getAllocatedBaseline, getAllocatedHeight, getAllocatedSize, getAllocatedWidth, getAllocation, getAncestor, getAppPaintable, getBaselinePosition, getBorderWidth, getCanDefault, getCanFocus, getCenterWidget, getChildRequisition, getChildVisible, getChildren, getClip, getClipboard, getCompositeName, getData, getDeviceEnabled, getDeviceEvents, getDirection, getDisplay, getDoubleBuffered, getEvents, getFace, getFaceList, getFamily, getFamilyList, getFocusChain, getFocusChild, getFocusHadjustment, getFocusOnClick, getFocusVadjustment, getFontMap, getFontName, getFontOptions, getFrameClock, getHalign, getHasTooltip, getHasWindow, getHexpand, getHexpandSet, getHomogeneous, getInternalChild, getMapped, getMarginBottom, getMarginEnd, getMarginLeft, getMarginRight, getMarginStart, getMarginTop, getModifierMask, getModifierStyle, getName, getNoShowAll, getOpacity, getOrientation, getPangoContext, getParent, getParentWindow, getPath, getPathForChild, getPointer, getPreferredHeight, getPreferredHeightAndBaselineForWidth, getPreferredHeightForWidth, getPreferredSize, getPreferredWidth, getPreferredWidthForHeight, getPreviewEntry, getPreviewText, getProperty, getQdata, getRealized, getReceivesDefault, getRequestMode, getRequisition, getResizeMode, getRootWindow, getScaleFactor, getScreen, getSensitive, getSettings, getSize, getSizeEntry, getSizeList, getSizeRequest, getSpacing, getState, getStateFlags, getStyle, getStyleContext, getSupportMultidevice, getTemplateChild, getTooltipMarkup, getTooltipText, getTooltipWindow, getToplevel, getValign, getValignWithBaseline, getVexpand, getVexpandSet, getVisible, getVisual, getWindow.

#### Setters

setAccelPath, setAllocation, setAppPaintable, setBaselinePosition, setBorderWidth, setBuildableProperty, setCanDefault, setCanFocus, setCenterWidget, setChildPacking, setChildVisible, setClip, setCompositeName, setData, setDataFull, setDeviceEnabled, setDeviceEvents, setDirection, setDoubleBuffered, setEvents, setFocusChain, setFocusChild, setFocusHadjustment, setFocusOnClick, setFocusVadjustment, setFontMap, setFontName, setFontOptions, setHalign, setHasTooltip, setHasWindow, setHexpand, setHexpandSet, setHomogeneous, setMapped, setMarginBottom, setMarginEnd, setMarginLeft, setMarginRight, setMarginStart, setMarginTop, setName, setNoShowAll, setOpacity, setOrientation, setParent, setParentWindow, setPreviewText, setProperty, setRealized, setReallocateRedraws, setReceivesDefault, setRedrawOnAllocate, setResizeMode, setSensitive, setSizeRequest, setSpacing, setState, setStateFlags, setStyle, setSupportMultidevice, setTooltipMarkup, setTooltipText, setTooltipWindow, setValign, setVexpand, setVexpandSet, setVisible, setVisual, setWindow.

## getFace

fontSelectionGetFace Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontSelection a) |
=> a | `fontsel`: a `FontSelection`
-> m FontFace | Returns: A `FontFace` representing the selected font group details. The returned object is owned by `fontsel` and must not be modified or freed.

Deprecated: (Since version 3.2)Use `FontChooser`

Gets the `FontFace` representing the selected font group details (i.e. family, slant, weight, width, etc).

Since: 2.14

## getFaceList

fontSelectionGetFaceList Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontSelection a) |
=> a | `fontsel`: a `FontSelection`
-> m Widget | Returns: A `Widget` that is part of `fontsel`

Deprecated: (Since version 3.2)Use `FontChooser`

This returns the `TreeView` which lists all styles available for the selected font. For example, “Regular”, “Bold”, etc.

Since: 2.14

## getFamily

fontSelectionGetFamily Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontSelection a) |
=> a | `fontsel`: a `FontSelection`
-> m FontFamily | Returns: A `FontFamily` representing the selected font family. Font families are a collection of font faces. The returned object is owned by `fontsel` and must not be modified or freed.

Deprecated: (Since version 3.2)Use `FontChooser`

Gets the `FontFamily` representing the selected font family.

Since: 2.14

## getFamilyList

fontSelectionGetFamilyList Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontSelection a) |
=> a | `fontsel`: a `FontSelection`
-> m Widget | Returns: A `Widget` that is part of `fontsel`

Deprecated: (Since version 3.2)Use `FontChooser`

This returns the `TreeView` that lists font families, for example, “Sans”, “Serif”, etc.

Since: 2.14

## getFontName

fontSelectionGetFontName Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontSelection a) |
=> a | `fontsel`: a `FontSelection`
-> m Text | Returns: A string with the name of the current font, or `Nothing` if no font is selected. You must free this string with `free`.

Deprecated: (Since version 3.2)Use `FontChooser`

Gets the currently-selected font name.

Note that this can be a different string than what you set with `fontSelectionSetFontName`, as the font selection widget may normalize font names and thus return a string with a different structure. For example, “Helvetica Italic Bold 12” could be normalized to “Helvetica Bold Italic 12”. Use `fontDescriptionEqual` if you want to compare two font descriptions.

## getPreviewEntry

fontSelectionGetPreviewEntry Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontSelection a) |
=> a | `fontsel`: a `FontSelection`
-> m Widget | Returns: A `Widget` that is part of `fontsel`

Deprecated: (Since version 3.2)Use `FontChooser`

This returns the `Entry` used to display the font as a preview.

Since: 2.14

## getPreviewText

fontSelectionGetPreviewText Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontSelection a) |
=> a | `fontsel`: a `FontSelection`
-> m Text | Returns: the text displayed in the preview area. This string is owned by the widget and should not be modified or freed

Deprecated: (Since version 3.2)Use `FontChooser`

Gets the text displayed in the preview area.

## getSize

fontSelectionGetSize Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontSelection a) |
=> a | `fontsel`: a `FontSelection`
-> m Int32 | Returns: A n integer representing the selected font size, or -1 if no font size is selected.

Deprecated: (Since version 3.2)Use `FontChooser`

The selected font size.

Since: 2.14

## getSizeEntry

fontSelectionGetSizeEntry Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontSelection a) |
=> a | `fontsel`: a `FontSelection`
-> m Widget | Returns: A `Widget` that is part of `fontsel`

Deprecated: (Since version 3.2)Use `FontChooser`

This returns the `Entry` used to allow the user to edit the font number manually instead of selecting it from the list of font sizes.

Since: 2.14

## getSizeList

fontSelectionGetSizeList Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontSelection a) |
=> a | `fontsel`: a `FontSelection`
-> m Widget | Returns: A `Widget` that is part of `fontsel`

Deprecated: (Since version 3.2)Use `FontChooser`

This returns the `TreeView` used to list font sizes.

Since: 2.14

## new

fontSelectionNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m FontSelection | Returns: a new `FontSelection`

Deprecated: (Since version 3.2)Use `FontChooserWidget` instead

Creates a new `FontSelection`.

## setFontName

fontSelectionSetFontName Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontSelection a) |
=> a | `fontsel`: a `FontSelection`
-> Text | `fontname`: a font name like “Helvetica 12” or “Times Bold 18”
-> m Bool | Returns: `True` if the font could be set successfully; `False` if no such font exists or if the `fontsel` doesn’t belong to a particular screen yet.

Deprecated: (Since version 3.2)Use `FontChooser`

Sets the currently-selected font.

Note that the `fontsel` needs to know the screen in which it will appear for this to work; this can be guaranteed by simply making sure that the `fontsel` is inserted in a toplevel window before you call this function.

## setPreviewText

fontSelectionSetPreviewText Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontSelection a) |
=> a | `fontsel`: a `FontSelection`
-> Text | `text`: the text to display in the preview area
-> m () |

Deprecated: (Since version 3.2)Use `FontChooser`

Sets the text displayed in the preview area. The `text` is used to show how the selected font looks.

# Properties

## fontName

No description available in the introspection data.

clearFontSelectionFontName :: (MonadIO m, IsFontSelection o) => o -> m () Source #

Set the value of the “`font-name`” property to `Nothing`. When overloading is enabled, this is equivalent to

    clear #fontName

constructFontSelectionFontName :: (IsFontSelection o, MonadIO m) => Text -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`font-name`” property. This is rarely needed directly, but it is used by `new`.

getFontSelectionFontName :: (MonadIO m, IsFontSelection o) => o -> m (Maybe Text) Source #

Get the value of the “`font-name`” property. When overloading is enabled, this is equivalent to

    get fontSelection #fontName

setFontSelectionFontName :: (MonadIO m, IsFontSelection o) => o -> Text -> m () Source #

Set the value of the “`font-name`” property. When overloading is enabled, this is equivalent to

    set fontSelection [ #fontName := value ]

## previewText

No description available in the introspection data.

constructFontSelectionPreviewText :: (IsFontSelection o, MonadIO m) => Text -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`preview-text`” property. This is rarely needed directly, but it is used by `new`.

getFontSelectionPreviewText :: (MonadIO m, IsFontSelection o) => o -> m Text Source #

Get the value of the “`preview-text`” property. When overloading is enabled, this is equivalent to

    get fontSelection #previewText

setFontSelectionPreviewText :: (MonadIO m, IsFontSelection o) => o -> Text -> m () Source #

Set the value of the “`preview-text`” property. When overloading is enabled, this is equivalent to

    set fontSelection [ #previewText := value ]